Greenbone Vulnerability Management Libraries: gmp_get_report_opts_t Struct Reference

Greenbone Vulnerability Management Libraries 23.1.2

Data Fields
gmp_get_report_opts_t Struct Reference

Struct holding options for gmp get_report command. More...

`#include <gmp.h>`

## Data Fields
const char * | sort_field
const char * | sort_order
const char * | format_id
| ID of required report format.
const char * | levels
| Result levels to include.
const char * | report_id
| ID of single report to get.
int | first_result
| First result to get.
int | max_results
| Maximum number of results to return.
int | timeout
| Timeout for GMP response.
int | host_first_result
| Skip over results before this result number.
int | host_max_results
| Maximum number of results to return.
int | autofp
char * | type
| Type of report.
char * | filter
| Term to filter results.
char * | filt_id
| ID of filter, to filter results.
char * | host
| Host for asset report.
char * | pos
| Position of report from end.
char * | timezone
| Timezone.
char * | alert_id
| ID of alert.
char * | delta_report_id
| ID of report to compare single report to.
char * | delta_states
| Delta states (Changed Gone New Same) to include.
char * | host_levels
| Letter encoded threat level filter, for hosts.
char * | search_phrase
| Search phrase result filter.
char * | host_search_phrase
| Search phrase result filter.
char * | min_cvss_base
| Minimum CVSS base filter.
char * | min_qod
| Minimum QoD filter.
int | notes
| Whether to include associated notes.
int | notes_details
| Whether to include details of above.
int | overrides
| Whether to include overrides in the report.
int | override_details
| If overrides, whether to include details.
int | apply_overrides
| Whether overrides are applied.
int | result_hosts_only
| Whether to include only hosts that have results.
int | ignore_pagination
| Whether to ignore pagination filters.

## Detailed Description

Struct holding options for gmp get_report command.

## Field Documentation

## ◆ alert_id

char* gmp_get_report_opts_t::alert_id

ID of alert.

## ◆ apply_overrides

int gmp_get_report_opts_t::apply_overrides

Whether overrides are applied.

## ◆ autofp

int gmp_get_report_opts_t::autofp

Whether to trust vendor security updates. 0 No, 1 full match, 2 partial.

## ◆ delta_report_id

char* gmp_get_report_opts_t::delta_report_id

ID of report to compare single report to.

## ◆ delta_states

char* gmp_get_report_opts_t::delta_states

Delta states (Changed Gone New Same) to include.

## ◆ filt_id

char* gmp_get_report_opts_t::filt_id

ID of filter, to filter results.

## ◆ filter

char* gmp_get_report_opts_t::filter

Term to filter results.

## ◆ first_result

int gmp_get_report_opts_t::first_result

First result to get.

## ◆ format_id

const char* gmp_get_report_opts_t::format_id

ID of required report format.

## ◆ host

char* gmp_get_report_opts_t::host

Host for asset report.

## ◆ host_first_result

int gmp_get_report_opts_t::host_first_result

Skip over results before this result number.

## ◆ host_levels

char* gmp_get_report_opts_t::host_levels

Letter encoded threat level filter, for hosts.

## ◆ host_max_results

int gmp_get_report_opts_t::host_max_results

Maximum number of results to return.

## ◆ host_search_phrase

char* gmp_get_report_opts_t::host_search_phrase

Search phrase result filter.

## ◆ ignore_pagination

int gmp_get_report_opts_t::ignore_pagination

Whether to ignore pagination filters.

## ◆ levels

const char* gmp_get_report_opts_t::levels

Result levels to include.

## ◆ max_results

int gmp_get_report_opts_t::max_results

Maximum number of results to return.

## ◆ min_cvss_base

char* gmp_get_report_opts_t::min_cvss_base

Minimum CVSS base filter.

## ◆ min_qod

char* gmp_get_report_opts_t::min_qod

Minimum QoD filter.

## ◆ notes

int gmp_get_report_opts_t::notes

Whether to include associated notes.

## ◆ notes_details

int gmp_get_report_opts_t::notes_details

Whether to include details of above.

## ◆ override_details

int gmp_get_report_opts_t::override_details

If overrides, whether to include details.

## ◆ overrides

int gmp_get_report_opts_t::overrides

Whether to include overrides in the report.

## ◆ pos

char* gmp_get_report_opts_t::pos

Position of report from end.

## ◆ report_id

const char* gmp_get_report_opts_t::report_id

ID of single report to get.

## ◆ result_hosts_only

int gmp_get_report_opts_t::result_hosts_only

Whether to include only hosts that have results.

## ◆ search_phrase

char* gmp_get_report_opts_t::search_phrase

Search phrase result filter.

## ◆ sort_field

const char* gmp_get_report_opts_t::sort_field

## ◆ sort_order

const char* gmp_get_report_opts_t::sort_order

## ◆ timeout

int gmp_get_report_opts_t::timeout

Timeout for GMP response.

## ◆ timezone

char* gmp_get_report_opts_t::timezone

Timezone.

## ◆ type

char* gmp_get_report_opts_t::type

Type of report.

The documentation for this struct was generated from the following file:

- gmp/gmp.h